Subject: Re: [mpls] [PWE3] draft-yong-pwe3-enhance-ecmp-lfat-01.txt

From: Stewart Bryant <[email-masked]>
Date: Wed, 03 Mar 2010 23:54:21 +0000

I think that any discussion on redefining  the  TC bits needs to start 
in MPLS WG. If they are happy that it can be done without breaking 
anything the we can reserve the bits, but we do need to think through 
the implications (past and future) of applying different semantics to 
those bits.

- Stewart

Raymond Key wrote:
> Hi Lucy,
>
> You suggest in section 5 re-defining the three TC bits in the flow label. The FAT-PW draft defined the new flow label in the label stack and mentioned in its section 7.1. "... that the semantics of a label stack entry (LSE) as defined by [RFC3032] cannot be modified ..."
>
> Is it worthwhile to discuss with the FAT-PW authors about re-defining the TC bits in flow label as "reserved for per flow characteristics" in the FAT-PW draft?
>
> Raymond Key
>
>
>   
>> Yong Lucy <[email-masked]> wrote:
>>
>> WG,
>>
>>  
>>
>> We have published draft-ietf-pwe3-enhance-ecmp-lfat-01.txt. It proposes 
>> an
>> enhanced ECMP method that performs differentiated treatments on small 
>> and
>> large flows and large/small flow indication on PW flow label. The method
>> significantly improves hash based load balance.
>>
>>  
>>
>> E-mail commons are welcome prior to IETF77 meeting.
>>
>>  
>>
>> Thanks,
>>
>> Lucy Yong
>>
>>     
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
>
>

---

From: Yong Lucy <[email-masked]>
Date: Wed, 03 Mar 2010 18:20:11 -0600

Hi Bryant and Raymond,

We will be glad to present this to MPLS WG as well. As Raymond points out,
7.1 in FAT-PW states that "the semantics of a label stack entry (LSE) as
defined by [RFC3032] can not be modified." In fact, RFC5462 already modify
the semantics. It is better to rephrase it.

Although Flow Label in FAT-PW uses MPLS label semantics. It has a different
usage from PW label or LSP label, i.e. it is never on the top of label
stack. Thus, DiffServ or ECN do not use Flow Label TC bits. FAT-PW solution
does not use Flow Label TC bits either. Enhanced ECMP proposes using one
Flow Label TC bit for flow classification. It aims on the improvement on
network resource utilization or optimization, not for DiffServ purpose.

Comments on this are welcome.

Thanks,
Lucy

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Wednesday, March 03, 2010 5:54 PM
> To: [email-masked]
> Cc: Yong Lucy; [email-masked]; 'Peilin Yang'; [email-masked]
> Subject: Re: [PWE3] draft-yong-pwe3-enhance-ecmp-lfat-01.txt
> 
> > You suggest in section 5 re-defining the three TC bits in the flow
label.
> The FAT-PW draft defined the new flow label in the label stack and
> mentioned in its section 7.1. "... that the semantics of a label stack
> entry (LSE) as defined by [RFC3032] cannot be modified ..."
> >
> > Is it worthwhile to discuss with the FAT-PW authors about re-defining
> the TC bits in flow label as "reserved for per flow characteristics" in
> the FAT-PW draft?
> >
> > Raymond Key
> >
> >
> >

---

From: Raymond Key <[email-masked]>
Date: Thu, 04 Mar 2010 07:18:17 +1100

Hi Lucy,

Raymond Key